Create an integration
curl --request POST \
--url https://api.phare.io/apps/{app}/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "DevOps Team",
"settings": {}
}
'import requests
url = "https://api.phare.io/apps/{app}/integrations"
payload = {
"name": "DevOps Team",
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'DevOps Team', settings: {}})
};
fetch('https://api.phare.io/apps/{app}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/apps/{app}/integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'DevOps Team',
'settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/apps/{app}/integrations"
payload := strings.NewReader("{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/apps/{app}/integrations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/apps/{app}/integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"name": "DevOps Team",
"id": 1,
"app": "sms",
"settings": {},
"paused": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "Record not found."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Integrations
Create an integration
Create an integration of an app for the whole organization, then used by alert rules to deliver their notifications. The apps connected from the dashboard, like Slack, Discord and Telegram, cannot be created this way, and the SMS app requires a Scale plan subscription.
Requires the integrations:write permission.
POST
/
apps
/
{app}
/
integrations
Create an integration
curl --request POST \
--url https://api.phare.io/apps/{app}/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "DevOps Team",
"settings": {}
}
'import requests
url = "https://api.phare.io/apps/{app}/integrations"
payload = {
"name": "DevOps Team",
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'DevOps Team', settings: {}})
};
fetch('https://api.phare.io/apps/{app}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phare.io/apps/{app}/integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'DevOps Team',
'settings' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phare.io/apps/{app}/integrations"
payload := strings.NewReader("{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phare.io/apps/{app}/integrations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.phare.io/apps/{app}/integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"DevOps Team\",\n \"settings\": {}\n}"
response = http.request(request)
puts response.read_body{
"name": "DevOps Team",
"id": 1,
"app": "sms",
"settings": {},
"paused": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "The monitors:write permission is required to perform this action."
}{
"message": "Record not found."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Supported apps
Only the following apps can be created through the API, each with its ownsettings:
The SMS integration requires a Scale plan subscription.
Why some apps are not supported
Some integrations need a step that can’t be done with an API request, so they can only be created from the control panel:- Slack and Discord: You need to sign in to Slack or Discord and approve the Phare app in your browser.
- Telegram: The Phare bot is connected to your chat by opening a link or scanning a QR code on your device.
403 error. Once created in the control panel, they can still be listed, fetched, deleted, and used in alert rules through the API.Authorizations
Path Parameters
Body
application/json
Integration request
Response
Success, integration created
Last modified on October 11, 2026
Was this page helpful?